EBMessage (jEdit API Documentation)
Date: 2015-02-03

org.gjt.sp.jedit

## Class EBMessage

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage

- Direct Known Subclasses:
    BufferUpdate, DockableWindowUpdate, DynamicMenuChanged, EditorExiting, EditorExitRequested, EditorStarted, EditPaneUpdate, PluginUpdate, PropertiesChanged, PropertiesChanging, RegisterChanged, SearchSettingsChanged, VFSPathSelected, VFSUpdate, ViewUpdate

      public abstract class EBMessage
      extends java.lang.Object

  The base class of all EditBus messages.

  Message classes extending this class typically add other data members and methods to provide subscribers with whatever is needed to handle the message appropriately.

  Message types sent by jEdit can be found in the `org.gjt.sp.jedit.msg` package.

  Since:
    jEdit 2.2pre6

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EBMessage(EBComponent source)` Creates a new message.
    `protected` | `EBMessage(java.lang.Object source)` Creates a new message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getSource()` Returns the sender of this message.
    `java.lang.String` | `paramString()` Returns a string representation of this message's parameters.
    `java.lang.String` | `toString()` Returns a string representation of this message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EBMessage

          protected EBMessage(java.lang.Object source)

      Creates a new message.
      Parameters:
        `source` - The message source
      Since:
        jEdit 4.2pre1

    - #### EBMessage

          protected EBMessage(EBComponent source)

      Creates a new message.
      Parameters:
        `source` - The message source

  - ### Method Detail

    - #### getSource

          public java.lang.Object getSource()

      Returns the sender of this message.
      Since:
        jEdit 4.2pre1

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this message.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### paramString

          public java.lang.String paramString()

      Returns a string representation of this message's parameters.